Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7172 - Sourcefile configure scripts cannot find gtk using gtk-config
Summary: Sourcefile configure scripts cannot find gtk using gtk-config
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gtk+
Version: 6.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Owen Taylor
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-11-20 07:26 UTC by dbelliz
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-12-01 16:03:31 UTC


Attachments (Terms of Use)

Description dbelliz 1999-11-20 07:26:14 UTC
I have downloaded a number of tar source packages from gnome.or and other
sites for compliation on my RH6.1 system. After uncompressing the desired
program, the confiure script tries to determine the location and version of
gtk but fails to do so with the following message:

checking for gtk-config... (cached) /usr/bin/gtk-config
checking for GTK - version >= 1.0.0... no
*** Could not run GTK test program, checking why...
*** The test program failed to compile or link. See the file config.log
for the
*** exact error that occured. This usually means GTK was incorrectly
installed
*** or that you have moved GTK since it was installed. In the latter
case, you
*** may want to edit the gtk-config script: /usr/bin/gtk-config

All the config.log files would say

  printf("\n*** 'gtk-config --version' returned %d.%d.%d, but GTK+
(%d.%d.%d)\n",
             1, 2, 5,
             gtk_major_version, gtk_minor_version, gtk_micro_version);
      printf ("*** was found! If gtk-config was correct, then it is
best\n");
      printf ("*** to remove the old version of GTK+. You may also be
able to fix the error\n");
      printf("*** by modifying your LD_LIBRARY_PATH enviroment variable,
or by editing\n");
      printf("*** /etc/ld.so.conf. Make sure you have run ldconfig if
that is\n");
      printf("*** required on your system.\n");
      printf("*** If gtk-config was wrong, set the environment variable
GTK_CONFIG\n");
      printf("*** to point to the correct copy of gtk-config, and remove
the file config.cache\n");
      printf("*** before re-running configure\n");

Upon consulting the rpm database I found that the following gtk packages
were installed

gtk+-1.2.5-2
gtk+-devel-1.2.5-2
gtk+10-1.0.6-6
gtk-engines-0.7-1

I had to go to gtk.org, download, make and install gtk 1.2.5 and glib
before a confiure script would recognize that gtk was 9installed on my
system.

Comment 1 dbelliz 1999-12-01 06:28:59 UTC
I have since reinstalled a custom installation. I went through the same sequence
and I am not expeeriencing the same problems.

Comment 2 Owen Taylor 1999-12-01 16:03:59 UTC
It is not clear what was going on here, but since you
no longer have the problem, and since nobody else has
reported the problem, I'm closing the bug.

My best guess it that you were missing some other
-devel package that was needed to compile GTK+
programs, such as the development package for X.

For future reference, what would have been useful
would have been any compiler errors in config.log.
What you quoted indicated that there were some
errors, but didn't show what they were.

Comment 3 dbelliz 1999-12-02 06:15:59 UTC
I don't see how I missing a lib since I performed the same installation and used
the exact same sequence.

Go figure.


Note You need to log in before you can comment on or make changes to this bug.